# `angular.element` (API in module `ng` )

Improve this doc

## Description

Wraps a raw DOM element or HTML string as a jQuery element. `angular.element` can be either an alias for jQuery function, if jQuery is available, or a function that wraps the element or string in Angular's jQuery lite implementation (commonly referred to as jqLite).

Real jQuery always takes precedence over jqLite, provided it was loaded before `DOMContentLoaded` event fired.

jqLite is a tiny, API-compatible subset of jQuery that allows Angular to manipulate the DOM. jqLite implements only the most commonly needed functionality within a very small footprint, so only a subset of the jQuery API - methods, arguments and invocation styles - are supported.

Note: All element references in Angular are always wrapped with jQuery or jqLite; they are never raw DOM references.

#### Angular's jQuery lite provides the following methods:

- addClass()
- after()
- append()
- attr()
- bind()
- children()
- clone()
- contents()
- css()
- data()
- eq()
- find() - Limited to lookups by tag name.
- hasClass()
- html()
- next()
- parent()
- prepend()
- prop()
- ready()
- remove()
- removeAttr()
- removeClass()
- removeData()
- replaceWith()
- text()
- toggleClass()
- triggerHandler() - Doesn't pass native event objects to handlers.
- unbind()
- val()
- wrap()

#### In addition to the above, Angular provides additional methods to both jQuery and jQuery lite:

- `controller(name)` - retrieves the controller of the current element or its parent. By default retrieves controller associated with the `ngController` directive. If `name` is provided as camelCase directive name, then the controller for this directive will be retrieved (e.g. `'ngModel'`).
- `injector()` - retrieves the injector of the current element or its parent.
- `scope()` - retrieves the `scope` of the current element or its parent.
- `inheritedData()` - same as `data()`, but walks up the DOM until a value is found or the top parent element is reached.

## Usage

    angular.element(element);

### Parameters

- `element – {string|DOMElement} –`

  HTML string or DOMElement to be wrapped into jQuery.

### Returns

`{Object}` –

jQuery object.